apt 3.1.11 commandline package manager

Public Member Functions | List of all members
PatternTreeParser::ZeroStringView Struct Reference

Zero-terminated wrapper for std::string_view. More...

`#include <apt-pkg/cachefilter-patterns.h>`

Inheritance diagram for PatternTreeParser::ZeroStringView:

## Public Member Functions
| ZeroStringView (std::string_view s)
char | operator[] (size_t i)

## Detailed Description

Zero-terminated wrapper for std::string_view.

The code peeks a character ahead and assumes the input is zero-terminated, but it may not be, this class provides a peek-ahead character access in operator[] by returning 0 for [size()].

The documentation for this struct was generated from the following file:

- apt-pkg/cachefilter-patterns.h